Summary:	Administration tool for Linux Virtual Server
Name:		ipvsadm
Version:	1.29
Release:	%mkrel 1
License:	GPL 
Group:		System/Kernel and hardware
URL:		https://kernel.org/pub/linux/utils/kernel/ipvsadm/
Source:		https://kernel.org/pub/linux/utils/kernel/ipvsadm/%{name}-%{version}.tar.gz
Source2:	ipvsadm.sysconfig
Source3:	rc.firewall.iptables
Patch1:		ipvsadm-1.24-usage.patch
Patch2:		ipvsadm-1.26-LDFLAGS.diff
Patch3:		ipvsadm-1.2-lsb.patch
BuildRequires:	popt-devel
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:  libnl3-devel
BuildRequires:  kernel-desktop-devel-latest

%description
ipvsadm is a utility to administer the IP virtual server services offered by
the Linux kernel with virtual server patch. Virtual Server in Linux kernel can
be used to build a high-performance and highly available server.

%prep

%setup -q
%patch1 -p1 -b .usage
%patch2 -p0 -b .LDFLAGS
%patch3 -p1 -b .lsb

cp %{SOURCE2} %{name}.sysconfig
cp %{SOURCE3} rc.firewall.iptables

%build

# parallel make doesn't work [FL Tue Jan 20 09:14:18 2004]
make POPT_LIB="-lpopt" CFLAGS="%{optflags} -fPIC -DHAVE_POPT -DLIBIPVS_USE_NL `pkg-config --cflags libnl-3.0`" LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}/{sbin,%{_mandir}/man8,etc/rc.d/init.d,etc/sysconfig}

make BUILD_ROOT=%{buildroot} MANDIR=%{_mandir} install

install -m0644 %{name}.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README rc.firewall.iptables
%attr(0755,root,root) %config(noreplace) %{_initrddir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0755,root,root) /sbin/*
%attr(0644,root,root) %{_mandir}/*/*


%changelog
* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.29-1.mga6
+ Revision: 1078961
- 1.29

* Thu Dec 31 2015 blino <blino> 1.28-2.mga6
+ Revision: 917092
- buildrequire kernel-desktop devel instead of deprecated kirkwood flavor on ARM

* Sat Dec 26 2015 luigiwalser <luigiwalser> 1.28-1.mga6
+ Revision: 915388
- 1.28

* Fri Dec 26 2014 luigiwalser <luigiwalser> 1.27-5.mga5
+ Revision: 806054
- build with libnl3

* Wed Oct 15 2014 umeabot <umeabot> 1.27-4.mga5
+ Revision: 746005
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.27-3.mga5
+ Revision: 680556
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.27-2.mga4
+ Revision: 534346
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 luigiwalser <luigiwalser> 1.27-1.mga4
+ Revision: 477346
- 1.27

* Sat Jan 12 2013 umeabot <umeabot> 1.26-3.mga3
+ Revision: 354484
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 13 2012 tmb <tmb> 1.26-2.mga2
+ Revision: 235556
- fix buildflags
- dont install obsolete ip_vs.h
- BR nl-devel and kernel-devel-latest
- clean spec

  + colin <colin>
    - Add LSB headers to initscripts (mga#5262)

  + tv <tv>
    - new release
    - fix source URL
    - drop patch 0 (merged)
    - rediff patch 2

* Thu May 26 2011 pterjan <pterjan> 1.24-13.mga1
+ Revision: 100501
- imported package ipvsadm

